:root
{
  --modal-z-index:999999999999;
  --modal-overlay-background:rgba(0,0,0,40%);
  --modal-max-width:340px;
  --modal-root-padding-y:16px;
  --modal-root-padding-x:24px;
  --modal-root-border-radius:24px
}

._modal_overlay_1dr9t_159 *:before,._modal_overlay_1dr9t_159 *:after
{
  box-sizing:border-box;
  margin:0;
  padding:0;
  font-family:var(--modal-font-family)
}

._modal_head_close_1dr9t_293:hover
{
  background-color:var(--modal-head-close-button-color)
}

._modal_head_close_1dr9t_293:active
{
  transform:scale(.9)
}

._wallet_1dr9t_377:hover
{
  color:#fff;
  background-color:var(--modal-wallet-background-color-hover)
}

._wallet_1dr9t_377:hover ._status_loading_1dr9t_417
{
  border-top:2px solid #fff
}

._wallet_1dr9t_377:hover ._status_error_1dr9t_425,._wallet_1dr9t_377:hover ._status_success_1dr9t_433,._wallet_1dr9t_377:hover ._status_default_1dr9t_441
{
  stroke:#fff
}

._wallet_1dr9t_377:active
{
  transform:scale(.95)
}

@keyframes _rotation_1dr9t_1
{
  0%
  {
    transform:rotate(0)
  }

  to
  {
    transform:rotate(360deg)
  }

}

@media screen and (max-width:420px)
{
  :root
  {
    --modal-max-width:auto
  }

}
